- [HTTP request](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#body.PATH_PARAMETERS)
- [Request body](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#body.request_body)
- [Response body](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#body.response_body)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#body.FetchItemStatusResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#body.aspect)
- [ItemRevisionStatus](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#ItemRevisionStatus)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#ItemRevisionStatus.SCHEMA_REPRESENTATION)
- [DistributionChannel](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#DistributionChannel)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#DistributionChannel.SCHEMA_REPRESENTATION)
- [Try it!](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#try-it)

Fetch the status of an item.

### HTTP request

`GET https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*}:fetchStatus`

The URL uses[gRPC Transcoding](https://google.aip.dev/127)syntax.

### Path parameters

|                                                         Parameters                                                         ||
|--------|--------------------------------------------------------------------------------------------------------------------|
| `name` | `string` Required. Name of the item to retrieve the status of in the form`publishers/{publisherId}/items/{itemId}` |

### Request body

The request body must be empty.

### Response body

Response message for`items.fetchStatus`.

If successful, the response body contains data with the following structure:

|                                                                                                                                                                                                                                                                 JSON representation                                                                                                                                                                                                                                                                 |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "name": string, "itemId": string, "publicKey": string, "publishedItemRevisionStatus": { object (https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#ItemRevisionStatus) }, "submittedItemRevisionStatus": { object (https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#ItemRevisionStatus) }, "lastAsyncUploadState": enum (https://developer.chrome.com/docs/webstore/api/reference/rest/v2/UploadState), "takenDown": boolean, "warned": boolean } ``` |

|                                                                                                                                                                    Fields                                                                                                                                                                    ||
|-------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `name`                        | `string` The name of the requested item.                                                                                                                                                                                                                                                                      |
| `itemId`                      | `string` Output only. The ID of the item.                                                                                                                                                                                                                                                                     |
| `publicKey`                   | `string` The public key of the item, which may be generated by the store.                                                                                                                                                                                                                                     |
| `publishedItemRevisionStatus` | `object (`[ItemRevisionStatus](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#ItemRevisionStatus)`)` Output only. Status of the current published revision of the item. Will be unset if the item is not published.                                            |
| `submittedItemRevisionStatus` | `object (`[ItemRevisionStatus](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#ItemRevisionStatus)`)` Status of the item revision submitted to be published. Will be unset if the item has not been submitted for publishing since the last successful publish. |
| `lastAsyncUploadState`        | `enum (`[UploadState](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/UploadState)`)` Output only. The state of the last async upload for an item. Only set when there has been an async upload for the item in the past 24 hours.                                                           |
| `takenDown`                   | `boolean` If true, the item has been taken down for a policy violation. Check the developer dashboard for details.                                                                                                                                                                                            |
| `warned`                      | `boolean` If true, the item has been warned for a policy violation and will be taken down if not resolved. Check the developer dashboard for details.                                                                                                                                                         |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chromewebstore`
- `
  https://www.googleapis.com/auth/chromewebstore.readonly`

## ItemRevisionStatus

Details on the status of an item revision.

|                                                                                                                        JSON representation                                                                                                                         |
|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "state": enum (https://developer.chrome.com/docs/webstore/api/reference/rest/v2/ItemState), "distributionChannels": [ { object (https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#DistributionChannel) } ] } ``` |

|                                                                                                       Fields                                                                                                       ||
|--------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `state`                  | `enum (`[ItemState](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/ItemState)`)` Output only. Current state of the item                                                |
| `distributionChannels[]` | `object (`[DistributionChannel](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchStatus#DistributionChannel)`)` Details on the package of the item |

## DistributionChannel

Deployment information for a specific release channel

|                      JSON representation                      |
|---------------------------------------------------------------|
| ``` { "deployPercentage": integer, "crxVersion": string } ``` |

|                                                           Fields                                                            ||
|--------------------|---------------------------------------------------------------------------------------------------------|
| `deployPercentage` | `integer` The current deploy percentage for the release channel (nonnegative number between 0 and 100). |
| `crxVersion`       | `string` The extension version provided in the manifest of the uploaded package.                        |